<script type="text/javascript">	
$(document).ready(function() {	
	$("#tabs").tabs({selected:0});	
	
	$("#mulai").click(function(){
		$("#t_angka").val('');
		$("#t_terbilang").val('');
		$("#t_angka").focus();
	});
	
	$("#proses").click(function(){
		var	tangka = $("#t_angka").val();
				
		if(tangka.length==0){
			alert('Maaf, kolom angka masih kosong.');
			$("#t_angka").focus();
			return false;
		}		
		var	nangka = parseInt(tangka);
		
		if(nangka<10){
			konversi1();
		}else if(nangka<100){
			konversi2();
		}else if(nangka<1000){
			konversi3();
		}else if(nangka<10000){
			konversi4();
		}else if(nangka<100000){
			konversi5();
		}else if(nangka<1000000){
			konversi6();
		}else if(nangka<10000000){
			konversi7();
		}else if(nangka<100000000){
			konversi8();
		}else if(nangka<1000000000)
			konversi9();
	});
		
	function konversi1(){
		var	total = $("#t_angka").val();
		
		$.ajax({
			type	: "POST",
			url	: "kasir/konversi/konversi1.php",
			data	: "total="+total,
			dataType	: "json",
			success	: function(data){
				$("#t_angka").val(total);
				$("#t_terbilang").val(data.terbilang);				
			}
		});
	}
	
	function konversi2(){
		var	total = $("#t_angka").val();
		
		$.ajax({
			type	: "POST",
			url	: "kasir/konversi/konversi2.php",
			data	: "total="+total,
			dataType	: "json",
			success	: function(data){
				$("#t_angka").val(total);
				$("#t_terbilang").val(data.terbilang);				
			}
		});
	}
	
	function konversi3(){
		var	total = $("#t_angka").val();
		
		$.ajax({
			type	: "POST",
			url	: "kasir/konversi/konversi3.php",
			data	: "total="+total,
			dataType	: "json",
			success	: function(data){
				$("#t_angka").val(total);
				$("#t_terbilang").val(data.terbilang);				
			}
		});		
	}
	
	function konversi4(){
		var	total = $("#t_angka").val();
		
		$.ajax({
			type	: "POST",
			url	: "kasir/konversi/konversi4.php",
			data	: "total="+total,
			dataType	: "json",
			success	: function(data){
				$("#t_angka").val(total);
				$("#t_terbilang").val(data.terbilang);				
			}
		});
	}
	
	function konversi5(){
		var	total = $("#t_angka").val();
		
		$.ajax({
			type	: "POST",
			url	: "kasir/konversi/konversi5.php",
			data	: "total="+total,
			dataType	: "json",
			success	: function(data){
				$("#t_angka").val(total);
				$("#t_terbilang").val(data.terbilang);				
			}
		});
	}
	
	function konversi6(){
		var	total = $("#t_angka").val();
		
		$.ajax({
			type	: "POST",
			url	: "kasir/konversi/konversi6.php",
			data	: "total="+total,
			dataType	: "json",
			success	: function(data){
				$("#t_angka").val(total);
				$("#t_terbilang").val(data.terbilang);				
			}
		});		
	}
	
	function konversi7(){
		var	total = $("#t_angka").val();
		
		$.ajax({
			type	: "POST",
			url	: "kasir/konversi/konversi7.php",
			data	: "total="+total,
			dataType	: "json",
			success	: function(data){
				$("#t_angka").val(total);
				$("#t_terbilang").val(data.terbilang);				
			}
		});
	}
	
	function konversi8(){
		var	total = $("#t_angka").val();
				
		$.ajax({
			type	: "POST",
			url	: "kasir/konversi/konversi8.php",
			data	: "total="+total,
			dataType	: "json",
			success	: function(data){
				$("#t_angka").val(total);
				$("#t_terbilang").val(data.terbilang);				
			}
		});
	}
	
	function konversi9(){
		var	total = $("#t_angka").val();
		
		$.ajax({
			type	: "POST",
			url	: "kasir/konversi/konversi9.php",
			data	: "total="+total,
			dataType	: "json",
			success	: function(data){
				$("#t_angka").val(total);
				$("#t_terbilang").val(data.terbilang);				
			}
		});		
	}
		
	$("#tutup").click(function(){
		document.location='?module=home';
	});
});
</script>

<style type="text/css">
#info {
	font-size:12px;
	font-weight:bold;
	color:#F00;
}
</style>

<?php
echo "<div id='tabs'>";
echo "<ul >	       
	       <li><a href='#form'>KONVERSI ANGKA KE HURUF</a></li>
      </ul>";
	  
echo "<div id='form'>			
		<table>
			<tr>					
				<td>Angka</td>
				<td>:</td>
				<td><input type='text' name='t_angka' id='t_angka' size='10'></td>
			</tr>
			<tr>
				<td>Huruf</td>
				<td>:</td>
				<td><input type='text' name='t_terbilang' id='t_terbilang' size='100'></td>
			</tr>
		</table>
		<table>
			<tr>
				<td>
					<button name='mulai' id='mulai'>Mulai</button>
					<button name='proses' id='proses'>Proses</button>
					<button name='tutup' id='tutup'>Tutup</button>
				</td>
			</tr>
		</table>
	</div>";
		
echo "</div>";
?>
